unit BackgroundDemoMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, dxBar, ImgList, dxBarExtItems, ActnList,
  Buttons, ExtDlgs, WinSkinData;

type
  TMainForm = class(TForm)
    BarManagerStyle: TRadioGroup;
    dxBarManager1: TdxBarManager;
    ilLargeImages: TImageList;
    dxBarSubItem1: TdxBarSubItem;
    dxBarSubItem2: TdxBarSubItem;
    dxBarSubItem3: TdxBarSubItem;
    dxBarSubItem4: TdxBarSubItem;
    dxBarSubItem5: TdxBarSubItem;
    dxBarSubItem6: TdxBarSubItem;
    dxBarButton1: TdxBarLargeButton;
    dxBarButton3: TdxBarLargeButton;
    dxBarButton4: TdxBarLargeButton;
    dxBarButton5: TdxBarLargeButton;
    dxBarButton6: TdxBarLargeButton;
    dxBarButton7: TdxBarLargeButton;
    dxBarButton8: TdxBarLargeButton;
    dxBarButton9: TdxBarLargeButton;
    dxBarButton10: TdxBarLargeButton;
    dxBarButton11: TdxBarLargeButton;
    dxBarLargeButton1: TdxBarLargeButton;
    dxBarLargeButton2: TdxBarLargeButton;
    dxBarLargeButton3: TdxBarLargeButton;
    dxBarLargeButton4: TdxBarLargeButton;
    dxBarLargeButton5: TdxBarLargeButton;
    dxBarLargeButton6: TdxBarLargeButton;
    dxBarLargeButton7: TdxBarLargeButton;
    dxBarButton15: TdxBarButton;
    dxBarColorCombo1: TdxBarColorCombo;
    dxBarFontNameCombo1: TdxBarFontNameCombo;
    dxBarDateCombo1: TdxBarDateCombo;
    dxBarSpinEdit1: TdxBarSpinEdit;
    dxBarProgressItem1: TdxBarProgressItem;
    dxBarStatic1: TdxBarStatic;
    dxBarPopupMenu1: TdxBarPopupMenu;
    alMain: TActionList;
    actHelp: TAction;
    actRateDemo: TAction;
    actDownloads: TAction;
    actForum: TAction;
    actDXOnTheWeb: TAction;
    actProducts: TAction;
    actAbout: TAction;
    actShowDemoDescription: TAction;
    dxBarLargeButton8: TdxBarLargeButton;
    dxBarLargeButton9: TdxBarLargeButton;
    dxBarLargeButton10: TdxBarLargeButton;
    dxBarLargeButton11: TdxBarLargeButton;
    dxBarLargeButton12: TdxBarLargeButton;
    dxBarLargeButton13: TdxBarLargeButton;
    dxBarLargeButton14: TdxBarLargeButton;
    ilHotImages: TImageList;
    ilDisabledImages: TImageList;
    gbBackgroundOptions: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    cbBar: TCheckBox;
    cbSubMenu: TCheckBox;
    cbBackgroundBitmap: TCheckBox;
    cbBackgroundBitmapPM: TCheckBox;
    gbImageDisplay: TGroupBox;
    btnNewWindow: TdxBarLargeButton;
    btnArrangeAll: TdxBarLargeButton;
    btnSplit: TdxBarLargeButton;
    btnNew: TdxBarLargeButton;
    btnOpen: TdxBarLargeButton;
    btnSave: TdxBarLargeButton;
    btnClose: TdxBarLargeButton;
    btnPrint: TdxBarLargeButton;
    btnSaveAs: TdxBarLargeButton;
    btnSaveAll: TdxBarLargeButton;
    dxBarSubItem7: TdxBarSubItem;
    sbBarBackgroud: TSpeedButton;
    sbBarSubmenu: TSpeedButton;
    sbSatusbarBackgroud: TSpeedButton;
    sbPopupmenu: TSpeedButton;
    lbBarBackgroud: TLabel;
    lbBarSubmenu: TLabel;
    lbSatusbarBackgroud: TLabel;
    lbPopupmenu: TLabel;
    btnRestoreDefaults: TButton;
    Bevel1: TBevel;
    cbShowImageCaptions: TCheckBox;
    cbAssignHotImages: TCheckBox;
    Label4: TLabel;
    Panel1: TPanel;
    dxBarLargeButton15: TdxBarLargeButton;
    dxBarLargeButton16: TdxBarLargeButton;
    SkinData1: TSkinData;
    OpenDialog1: TOpenDialog;
    procedure BarManagerStyleClick(Sender: TObject);
    procedure dxBarButton1Click(Sender: TObject);
    procedure dxBarSpinEdit1CurChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure actRateDemoExecute(Sender: TObject);
    procedure actDownloadsExecute(Sender: TObject);
    procedure actForumExecute(Sender: TObject);
    procedure actDXOnTheWebExecute(Sender: TObject);
    procedure actProductsExecute(Sender: TObject);
    procedure actAboutExecute(Sender: TObject);
    procedure cbShowImageCaptionsClick(Sender: TObject);
    procedure dxBarLargeButton16Click(Sender: TObject);
    procedure SkinData1SkinChanged(Sender: TObject);
    procedure dxBarLargeButton2Click(Sender: TObject);
    procedure dxBarLargeButton1Click(Sender: TObject);
  private
    procedure SetBarBK;
  public
    FPath: string;
  end;

var
  MainForm: TMainForm;

implementation

uses EBarsDemoRating, ShellAPI, BackgroundDemoAbout;

const
  sCustomImage = '(custom image)';
  sDefaultImage = '(default image)';

{$R *.dfm}
{$R windowsxp.res}

procedure TMainForm.BarManagerStyleClick(Sender: TObject);
begin
  dxBarManager1.Style := TdxBarManagerStyle(BarManagerStyle.ItemIndex);
end;

procedure TMainForm.dxBarButton1Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.dxBarSpinEdit1CurChange(Sender: TObject);
begin
  dxBarProgressItem1.Position := Trunc(dxBarSpinEdit1.curValue);
  dxBarSpinEdit1.curValue := dxBarProgressItem1.Position;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  FPath := ExtractFilePath(Application.ExeName);
  SkinData1SkinChanged(nil);
end;

procedure TMainForm.actRateDemoExecute(Sender: TObject);
begin
  with TEBarsDemoRatingForm.Create(Self) do
    try
      ShowModal;
    finally
      Free;
    end;
end;

procedure TMainForm.actDownloadsExecute(Sender: TObject);
begin
  ShellExecute(Handle, PChar('OPEN'), PChar('http://www.link-rank.com/download.htm'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TMainForm.actForumExecute(Sender: TObject);
begin
  ShellExecute(Handle, PChar('OPEN'), PChar('http://www.link-rank.com'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TMainForm.actDXOnTheWebExecute(Sender: TObject);
begin
  ShellExecute(Handle, PChar('OPEN'), PChar('http://www.link-rank.com'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TMainForm.actProductsExecute(Sender: TObject);
begin
  ShellExecute(Handle, PChar('OPEN'), PChar('http://www.link-rank.com'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TMainForm.dxBarLargeButton16Click(Sender: TObject);
begin
  ShellExecute(Handle, PChar('OPEN'), PChar('http://www.link-rank.com'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TMainForm.actAboutExecute(Sender: TObject);
begin
  with TBackgroundDemoAboutForm.Create(nil) do
    try
      ShowModal;
    finally
      Free;
    end;
end;

procedure TMainForm.cbShowImageCaptionsClick(
  Sender: TObject);
var
  i: Integer;
  AChecked: Boolean;
begin
  dxBarManager1.LockUpdate := True;
  AChecked := TCheckBox(Sender).Checked;
  for i:=0 to ComponentCount - 1 do
    if Components[i] is TdxBarLargeButton then
      TdxBarLargeButton(Components[i]).ShowCaption := AChecked;
  dxBarManager1.LockUpdate := False;
end;

procedure TMainForm.SkinData1SkinChanged(Sender: TObject);
begin
   SetBarBK;
end;

procedure TMainForm.SetBarBK;
var bmp:Tbitmap;
begin
   if skindata1.active then begin
      bmp:=Tbitmap.create;
      bmp.width:=8;
      bmp.height:=8;
      //bmp.canvas.brush.color:=skindata1.colors[csButtonFace];
      bmp.canvas.brush.color:=skindata1.colors[csButtonlight];
      bmp.canvas.fillrect(rect(0,0,8,8));
      dxBarManager1.Backgrounds.bar.assign(bmp);
      dxBarManager1.Backgrounds.submenu.assign(bmp);
      bmp.free;
   end else begin
      dxBarManager1.Backgrounds.bar.assign(nil);
      dxBarManager1.Backgrounds.submenu.assign(nil);
   end;
end;

procedure TMainForm.dxBarLargeButton2Click(Sender: TObject);
begin
    skindata1.active := not skindata1.active;
end;

procedure TMainForm.dxBarLargeButton1Click(Sender: TObject);
begin
    opendialog1.filter:='Skin files (*.skn)|*.SKN';
    if opendialog1.Execute then begin
       skindata1.SkinFile:=opendialog1.FileName;
       if not skindata1.active then skindata1.active:=true;
    end;
end;

end.
